Query Api Clients
Queries API Clients in an SSO Realm with search filters and pagination support. Results can be sorted by expiration date, creation date, last used date, or access token TTL.
SSO Realm identifier
Page number from which data needs to be displayed (0-based)
Expected number of entries per page
API Client search parameters
"{\n \"searchTerms\" : {\n \"allOf\" : [ {\n \"field\" : \"CLIENT_ID\",\n \"terms\" : [ \"client\" ],\n \"operator\" : \"LIKE\"\n }, {\n \"field\" : \"CLIENT_NAME\",\n \"terms\" : [ \"Automation\" ],\n \"operator\" : \"LIKE\"\n } ],\n \"anyOf\" : [ ]\n }\n}"
Field values that can be used to filter API client and API token data
Groupings of search conditions to match in API client and API token lists
List of API Clients with pagination data
"{\n \"pageInfo\" : {\n \"totalCount\" : 2,\n \"page\" : 0,\n \"pageSize\" : 10\n },\n \"apiClients\" : [ {\n \"clientId\" : \"api-client-id\",\n \"clientUuid\" : \"77ca0ca8-a504-4969-aeed-4ac453c1ef61\",\n \"clientName\" : \"Automation API Client\",\n \"clientDescription\" : \"API Client for automation purposes\",\n \"roles\" : [ {\n \"roleName\" : \"vcf_administrator\",\n \"roleDisplayName\" : \"VCF Administrator\",\n \"roleScope\" : {\n \"resources\" : [ ],\n \"scopeType\" : \"SSO_REALM\",\n \"ssoName\" : \"EMEA\"\n },\n \"expiresAt\" : 1750526688158\n } ]\n }, {\n \"clientId\" : \"api-client-id-2\",\n \"clientUuid\" : \"77ca0ca8-a504-4969-aeed-4ac453c1ef61\",\n \"clientName\" : \"Automation API Client 2\",\n \"clientDescription\" : \"API Client for automation purposes\",\n \"roles\" : [ {\n \"roleName\" : \"vcf_administrator\",\n \"roleDisplayName\" : \"VCF Administrator\",\n \"roleScope\" : {\n \"resources\" : [ ],\n \"scopeType\" : \"SSO_REALM\",\n \"ssoName\" : \"EMEA\"\n },\n \"expiresAt\" : 1750526688158\n } ]\n } ]\n}"
List of API clients in this page
Collection of links
Represents page information for a paged result
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/fleet-management/iam/ssorealms/{ssoRealmId}/api-clients/query